<?php

require_once "BASEPATH.php";

class Api extends Other_Controller
{

    public function do1()
    {
        $api_method = $_POST["accion"];
        if (isset($_POST["campana"])) {
            $agent_campana = $_POST["campana"];
            $_SESSION["Campana"] = $agent_campana;
        }

        if (isset($_POST["usuario"])) {
            $agent_usuario = $_POST["usuario"];
            $_SESSION["Usuario"] = $agent_usuario;
        }
        // 1: 10.6

        if (isset($_POST["cliente"])) {
            $agent_cliente = $_POST["cliente"];
            $_SESSION["Cliente"] = $agent_cliente;
        }

        $_SESSION["Grupo"] = GRUPO_AGENTES;

        $this->$api_method();
    }

    public function docs()
    {
        $this->load->view('api/manual');
    }

}
